# Method: billingAccounts.projects.list

- [HTTP request](https://docs.cloud.google.com/billing/docs/reference/rest/v1/billingAccounts.projects/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/billing/docs/reference/rest/v1/billingAccounts.projects/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/billing/docs/reference/rest/v1/billingAccounts.projects/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/billing/docs/reference/rest/v1/billingAccounts.projects/list#body.request_body)
- [Response body](https://docs.cloud.google.com/billing/docs/reference/rest/v1/billingAccounts.projects/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/billing/docs/reference/rest/v1/billingAccounts.projects/list#body.ListProjectBillingInfoResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/billing/docs/reference/rest/v1/billingAccounts.projects/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/billing/docs/reference/rest/v1/billingAccounts.projects/list#try-it)

Lists the projects associated with a billing account. The current authenticated user must have the `billing.resourceAssociations.list` IAM permission, which is often given to billing account [viewers](https://cloud.google.com/billing/docs/how-to/billing-access).

### HTTP request

`GET https://cloudbilling.googleapis.com/v1/{name=billingAccounts/*}/projects`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the billing account associated with the projects that you want to list. For example, `billingAccounts/012345-567890-ABCDEF`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested page size. The maximum page size is 100; this is also the default. |
| `pageToken` | `string` A token identifying a page of results to be returned. This should be a `nextPageToken` value returned from a previous `projects.list` call. If unspecified, the first page of results is returned. |

### Request body

The request body must be empty.

### Response body

Request message for `ListProjectBillingInfoResponse`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "projectBillingInfo": [ { object (`https://docs.cloud.google.com/billing/docs/reference/rest/v1/ProjectBillingInfo`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `projectBillingInfo[]` | ``object (`https://docs.cloud.google.com/billing/docs/reference/rest/v1/ProjectBillingInfo`)`` A list of `ProjectBillingInfo` resources representing the projects associated with the billing account. |
| `nextPageToken` | `string` A token to retrieve the next page of results. To retrieve the next page, call `projects.list` again with the `pageToken` field set to this value. This field is empty if there are no more results to retrieve. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-billing`
- `https://www.googleapis.com/auth/cloud-billing.readonly`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).